### Method

# Gtk IconTheme has_icon

#### Declaration [src]

    gboolean
    gtk_icon_theme_has_icon (
      GtkIconTheme* self,
      const char* icon_name
    )

#### Description [src]

Checks whether an icon theme includes an icon for a particular name.

#### Parameters

`icon_name` | `const char*`
| The name of an icon.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| `TRUE` if `self` includes an icon for `icon_name`.